<Test>
   <Name>WRT400N</Name>
   <Cat>Router</Cat>
   <Protocol>EJTAG</Protocol>
   <Endian>Big</Endian>
   <DLL>router.dll</DLL>
  <IRLength>5</IRLength>
   <DMA>No</DMA>
   <ProbTrap>1</ProbTrap>
   <Programram>0x80100000</Programram>
   <SPIFlash>2</SPIFlash>
   <Memorys>
     <Memory>
       <Name>u-boot</Name>
       <Type>1</Type>
       <Address>0x9f000000</Address>
       <Size>0x30000</Size>
     </Memory>
     <Memory>
       <Name>bootenv</Name>
       <Type>1</Type>
       <Address>0x9f030000</Address>
       <Size>0x10000</Size>
     </Memory>
     <Memory>
       <Name>KERNEL</Name>
       <Type>1</Type>
       <Address>0x9f040000</Address>
       <Size>0x770000</Size>
     </Memory>
     <Memory>
       <Name>NVRAM</Name>
       <Type>1</Type>
       <Address>0x9F7B0000</Address>
       <Size>0x40000</Size>
     </Memory>
     <Memory>
       <Name>Config</Name>
       <Type>1</Type>
       <Address>0x9F7F0000</Address>
       <Size>0x10000</Size>
     </Memory>
   </Memorys>
   <Inits>
  </Inits>
</Test>
